Subject: Re: unpack failed --- is my repos broken?

From: Ivan Uemlianin <[email-masked]>
Date: Fri, 23 Jul 2010 10:38:15 +0100

Dear All

Thank you for your comments.  I apologise for my delayed response.

I think the local side is not the problem:  if I do a fresh clone, then 
when I try a push I get the same error.

For the moment I have deleted and recreated the git repos on the server 
(tedious but quick), and all seems well.  Is this an occasional fault I 
can expect with the smart-http backend?

See query about ssh under separate title.

With thanks and best wishes

Ivan

On 21/07/2010 17:12, Tay Ray Chuan wrote:
> Hi,
>
> On Tue, Jul 20, 2010 at 9:42 PM, Ivan Uemlianin<[email-masked]>  wrote:
>    
>>     $ git push
>>     Password: ...
>>     Counting objects: 5, done.
>>     Delta compression using up to 2 threads.
>>     Compressing objects: 100% (3/3), done.
>>     Writing objects: 100% (3/3), 410 bytes, done.
>>     Total 3 (delta 2), reused 0 (delta 0)
>>     error: unpack failed: unpack-objects abnormal exit
>>      
> Have you checked for repository corruption on the local side? You
> might be pushing bad stuff to the server.
>
>    

-- 
============================================================
Ivan A. Uemlianin
Speech Technology Research and Development

                     [email-masked]
                      www.llaisdy.com
                          llaisdy.wordpress.com
                      www.linkedin.com/in/ivanuemlianin

     "Froh, froh! Wie seine Sonnen, seine Sonnen fliegen"
                      (Schiller, Beethoven)
============================================================